
function resetFields(form) {
  for (var i=0; i<form.elements.length; i++) {
    var formfield = form.elements[i];
    if (formfield.getAttribute("type") == "submit") continue;
    if (!formfield.defaultValue) continue;
    formfield.onfocus = function() {
	if (this.value == this.defaultValue) {
      this.value = "";
     }
    }
    formfield.onblur = function() {
      if (this.value == "") {
        this.value = this.defaultValue;
      }
    }
  }
}


function validateForm (form) {

    // Look at all form fields.
    // If the field has the class attribute "required" 
    // (formfield.className.indexOf("required") != -1), then check whether the field
    // has been filled. If not, return aller the user that that formfield needs to be 
    // filled and false.


    return true;
}



function prepareForms() {
  var forms = document.getElementsByTagName("form");
  for (var i=0; i<forms.length; i++) {
    var thisform = forms[i];
    resetFields(thisform);

    thisform.onsubmit = function() {
	return validateForm(this);
    }
  }
}



window.onload = prepareForms